/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.etype.odouble;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;

import org.objectweb.jonas.jtests.beans.etype.EtypeBean;
import org.objectweb.util.monolog.api.BasicLevel;


/**
 * odouble entity bean class.
 * odouble is an entity bean with container-managed persistence version 2,
 * with a field which is a java.lang.Double.
 * @author Helene Joanin 
 * Contributor(s): 
 */

public abstract class OdoubleEC2 extends EtypeBean implements EntityBean {

    // Accessor methods of the bean's abstract schema
    public abstract String getPk();
    public abstract void setPk(String pk);
    public abstract Double getF1();
    public abstract void setF1(Double f1);

    public String ejbCreate(String pk, Double f1) throws CreateException {
	logger.log(BasicLevel.DEBUG, "ejbCreate("+pk+","+f1+")");
	setPk(pk);
	setF1(f1);
	return(null);
    }

    public void ejbPostCreate(String pk, Double f1){
	logger.log(BasicLevel.DEBUG, "");
    }

}
